# 1.0.0[−][src]Module std::os::unix::fs

This is supported on Unix only.

Unix-specific extensions to primitives in the `std::fs` module.

## Traits

DirBuilderExt | Unix Unix-specific extensions to `fs::DirBuilder`.
DirEntryExt | Unix Unix-specific extension methods for `fs::DirEntry`.
FileExt | Unix Unix-specific extensions to `File`.
FileTypeExt | Unix Unix-specific extensions for `FileType`.
MetadataExt | Unix Unix-specific extensions to `fs::Metadata`.
OpenOptionsExt | Unix Unix-specific extensions to `fs::OpenOptions`.
PermissionsExt | Unix Unix-specific extensions to `fs::Permissions`.

## Functions

symlink | Unix Creates a new symbolic link on the filesystem.